/*
 *  Copyright (C) 2010  Giorgio Wicklein <g.wicklein@giowisys.com>
 *
 *  This file is part of DaemonFS.
 *
 *  DaemonFS is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  DaemonFS is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with DaemonFS.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FILEWIDGET_H
#define FILEWIDGET_H

//-----------------------------------------------------------------------------
// Hearders
//-----------------------------------------------------------------------------

#include <QWidget>

namespace Ui {
    class FileWidget;
}

//-----------------------------------------------------------------------------
// FileWidget
//-----------------------------------------------------------------------------

class FileWidget : public QWidget
{
    Q_OBJECT

public:
    explicit FileWidget(QWidget *parent = 0);
    ~FileWidget();
    QStringList getFilesList();

signals:
    void backButtonClicked();
    void startButtonClicked();

private slots:
    void addFileSlot();
    void addDirSlot();
    void resetSlot();

private:
    Ui::FileWidget *ui;
};

#endif // FILEWIDGET_H
